Questions tagged npm-install

Explore the latest questions and answers asked by our top developers.

How do I interpret this output from an NPM installation?

I’m trying to build a project and it’s failing with the following error npm ERR! code ERESOLVE npm ERR! ERESOLVE unable to resolve dependency tree npm ERR! npm ERR! While resolving: [email protected] npm ERR! Found: [email protected] npm ERR! node_modules/rxjs npm ERR! [email protected]"^7.3.0" from the root project npm ERR! peer [email protected]"^6.5.3 || ^7.0.0" from @angular/[email protected] npm […]

By ekkis
Published
Categorized as angularjs, npm, npm-install Tagged , ,

WARMS IN NPM INSTALL

I am programming in angular and I had problems with a module. That’s why I decided to search and see what could be causing the error. Among the solutions was to see if I had the packages installed and do a npm list -g npm. I realized that this was empty and now when I […]

By Jaime Wrighton
Published
Categorized as angular, frontend, npm, npm-install Tagged , , ,

npm install does not work in angular project from github

Why npm install does not work perfectly.I download the project from github and i want to run the project.But npm install does not work. Source: Angular Questions

By soufiane ben yaala
Published
Categorized as angular, npm, npm-install Tagged , ,

Fix the upstream dependency conflict while creating new angular project

Version: Angular CLI: 12.1.1 Node: 14.17.3 Package Manager: npm 7.19.1 Error coming while creating a new angular project. npm ERR! code ERESOLVE npm ERR! ERESOLVE unable to resolve dependency tree npm ERR! npm ERR! While resolving: [email protected] npm ERR! Found: [email protected] npm ERR! node_modules/jasmine-core npm ERR! dev [email protected]"~3.7.0" from the root project npm ERR! npm […]

By Sayandeep Majumdar
Published
Categorized as angular, node.js, npm-install Tagged , ,

Unable to load schema problem in angular.json file

I have a problem in angular.json file. { "resource": "/e:/Paathale dev/project/Resume_generator/front/angular.json", "owner": "_generated_diagnostic_collection_name_#1", "code": "768", "severity": 4, "message": "Unable to load schema from ‘e:Paathale [email protected]chema.json’: ENOENT: no such file or directory, open ‘e:Paathale [email protected]chema.json’.", "startLineNumber": 2, "startColumn": 14, "endLineNumber": 2, "endColumn": 66 } After that I tried npm cache clean and again I got an […]

By Samanthika Rajapaksa
Published
Categorized as angular, json, npm, npm-install Tagged , , ,

How to check for only high or critical vulnerabilities when using “npm audit” for Angular?

I am working on Angular 6 project. While installing a package using npm 6.9.0, I’m getting vulnerabilities report at the end with low, moderate, high and critical vulnerabilities. However, it scrolls down the command window too fast and the whole report is truncated. I googled and ran: npm audit –audit-level=critical and npm audit –audit-level=high reference: […]

By SilverFish
Published
Categorized as angular, npm-install Tagged ,

Is there a way to determine the host OS and node version based on the node_modules folder?

Is there a more or less easy way to be able to tell (1) which OS (Windows or Linux), and (2) which version of nodejs npm install was run on by looking at the node_modules folder? I tried looking in node_modules/.bin but I see both bash and .cmd files. Quick back story for those interested: […]

Getting error at npm install and code is getting struck at "Loading your content here….."

I downloaded this project "quickstart" from git hub by following the steps in the image I go this error when i give npm install: so i did this npm install -g npm-check-updates ncu -u npm install Now i got this and the browser got struck at "loading your content here…." Please help me to rectify […]

Failed at the core-js postinstall script error

I am facing the following errors when I try to install node modules in an existing Angular project. I am trying to install the node modules in windows machine(Win32 X64). > [email protected] postinstall node_modulesbabel-runtimenode_modulescore-js > node -e "try{require(‘-/postinstall’)}catch(e){}" npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected] (node_modulesng-cli-pug-loadernode_modulesfsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for […]

npm install ngx-toastr –save -> Could not resolve dependency: peer @angular/[email protected]"12.0.3" from @angular/[email protected]

My Versions: Angular CLI: 11.2.7 Node: 14.15.5 my package.json dependencies "dependencies": { "@angular/animations": "~11.2.8", "@angular/cdk": "^11.2.12", "@angular/common": "^12.0.3", "@angular/compiler": "~11.2.8", "@angular/core": "~11.2.8", "@angular/forms": "~11.2.8", "@angular/material": "^11.2.12", "@angular/platform-browser": "~11.2.8", "@angular/platform-browser-dynamic": "~11.2.8", "@angular/router": "~11.2.8", "@videogular/ngx-videogular": "^3.0.1", "axios": "^0.21.1", "bootstrap": "^5.0.0-beta3", "ng-uikit-pro-standard": "^1.0.0", "rxjs": "~6.6.0", "tslib": "^2.0.0", "video.js": "^7.11.8", "zone.js": "~0.11.3" }, When I try to install npm […]

By Chamod Dissanayake
Published
Categorized as angular, node.js, npm-install Tagged , ,
1 2 3 7

Still Have Questions?


Our dedicated development team is here for you!

We can help you find answers to your question for as low as 5$.

Contact Us
faq